search cancel

Vulnerabilities issues with Java version 7.1

book

Article ID: 200979

calendar_today

Updated On:

Products

CA Infrastructure Management CA Performance Management - Usage and Administration DX NetOps

Issue/Introduction

Currently we are running with 20.2 CAPM.

As per our network Vulnerabilities team, all the servers are identified with the Java version ‘OpenJDK 7/1.7’.

After the upgrades it should have updated the Java 8.1 version as per the knowledge base but it has not updated with latest and still it is reflecting with old java version.

Environment

Release : 20.2

Component : IM Reporting / Admin / Configuration

Cause

This is the system java

Resolution

If you run which java, you will see that is the system java, likely in /usr.

CAPM installs our own java in /opt/jre

This is the only java we use.

So you can update or remove the system java as you see fit.

Additional Information

Do not upgrade, update or modify the private java in any way.

Attachments